Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10186

Department:  Affected Products: ADTF 3.6.3

Requester's Priority: Low Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

When trying to add a sub graph in the CE GUI the tool crashes, if we did not select a Subgraph from the menu!

This is a minor but ugly bug.

Scenario:

Launch CE

Open project "ADTF Project.adtfproject"

Choose any session

In the filter graph tab > right click > Add Subgraph

Write any name in the Alias name

Do NOT choose an available Subgraph from the menu "Subgraphs"

Click OK

PS: it would actually be nicer if I can create the Subgraph directly within the "Add Subgraph" window!

Lösung

yes, it's an known issue in ADTF 3.6.x and solved within ADTF 3.7.x

PS: it would actually be nicer if I can create the Subgraph directly within the "Add Subgraph" window!

 Thank's for the suggestion but this is not compatible to subgraph requirement.

The intention to add subgraphs is re-using existing ones, not to add new. This must be done by the Graph Editor itself.

Teaser for ADTF 3.8: There will be an include mechanism to add subgraphs from other Sessions (comparable to ADTF 2.x

adtf_include), so reusing from storage or else. In this scenario the Streaming Graph will be obsolet and removed (or better say

hidden), all components (Filter, Sources/Sinks, Runner) are available in Filter Graph and the use case of the Streaming Graph

(exchangable communication with environment/devices) can be solved by including or exchanging subgraphs. Of course old setups

and Streaming Graph is still usable, but we will recommend the new way.

History

#1 - 2020-05-04 11:32 - hidden

- Subject changed from Bug: Crash When Adding a New Sub Graph Using The Configuration Editor to Crash when adding a subgraph without

selection

- Status changed from New to Customer Feedback Required

- Private changed from Yes to No

- Topic set to ADTF::CE

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10186
- Customer set to AUDI

Hi Samer,

yes, it's an known issue in ADTF 3.6.x and solved within ADTF 3.7.x

PS: it would actually be nicer if I can create the Subgraph directly within the "Add Subgraph" window!

 Thank's for the suggestion but this is not compatible to subgraph requirement.

The intention to add subgraphs is re-using existing ones, not to add new. This must be done by the Graph Editor itself.

Teaser for ADTF 3.8: There will be an include mechanism to add subgraphs from other Sessions (comparable to ADTF 2.x adtf_include), so reusing

from storage or else. In this scenario the Streaming Graph will be obsolet and removed (or better say hidden), all components (Filter, Sources/Sinks,

Runner) are available in Filter Graph and the use case of the Streaming Graph (exchangable communication with environment/devices) can be

solved by including or exchanging subgraphs. Of course old setups and Streaming Graph is still usable, but we will recommend the new way.

#2 - 2020-05-04 14:09 - hidden

Hi Florian,

Thanks for your answer! sounds good!

Where can I see the planned dates of the releases?

This ticket can be closed!

Regards,

Samer

#3 - 2020-05-06 08:20 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Hi Samer,

great, I will close the issue.

Our development process is different regarding release dates.

We are planning issues on two Feature Bundles per year.

Each Feature Bundle can have more than one releases, depends on done issues regarding a minor update.

Patch versions are depending on critical or blocking states of bugs.

You will find a live overview here, which will be updated automatic once per day.

FeaturesADTF

Same for known problems:

* KnownProblems

Note: Keep in mind that currently closed but unreleased issues (like ADTF 3.7.0) are missing in this overview. We are working on that. Also for having

faster releases and some kind of nightly/master Previews as well including already finished features and fixes.

#6 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
